Arch IfcSpreadsheet/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "== Описание ==")
 
(Updating to match new version of source page)
 
(18 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_3Views|3 Views from mesh]]|[[Arch_ToggleSubs|Toggle Subcomponents]]|[[Arch_Module|Arch]]|IconL=Arch_3Views.svg |IconC=Workbench_Arch.svg |IconR=Arch_ToggleSubs.svg}}


<div class="mw-translate-fuzzy">
{{GuiCommand
{{docnav/ru|[[Arch_3Views|3 Views from mesh]]|[[Arch_ToggleSubs|Toggle Subcomponents]]|[[Arch_Workbench|Arch]]|IconL=Arch_3Views.svg |IconC=Workbench_Arch.svg |IconR=Arch_ToggleSubs.svg}}
|Name=Arch MakeIfcSpreadsheet
</div>
|MenuLocation=Arch → Utilities → Create IFC spreadsheet

|Workbenches=[[Arch Module|Arch]]
<div class="mw-translate-fuzzy">
|Shortcut=I P
{{GuiCommand/ru
|SeeAlso=[[Arch IFC]], [[Arch IfcExplorer]]
|Name=Arch IfcSpreadsheet
|Icon=Arch_Schedule.svg
|Name/ru=Arch IfcSpreadsheet
|MenuLocation=Arch → Utilities → Создать IFC таблицу
|Workbenches=[[Arch_Workbench/ru|Arch]]
|Shortcut={{KEY|I}} {{KEY|P}}
|SeeAlso=[[Arch_IFC/ru|Arch IFC]], [[Arch_IfcExplorer/ru|Arch IfcExplorer]]
}}
}}
</div>


== Описание ==
== Описание ==


This tool creates a spreadsheet to store IFC properties of an object.
This tool creates a spreadsheet to store [[Arch_IFC|IFC]] properties of an object.


==Использование==
== How to use ==


# Select an object.
# Select an object.
# Invoke the command using several methods:
# Go to {{MenuCommand|Arch → Utilities → [[Image:Arch_Schedule.svg|16px]] Create IFC spreadsheet}}.
#* Pressing the {{Button|[[Image:Arch_IfcSpreadsheet.svg|16px]] Create IFC spreadsheet}} button on the toolbar.
#* Using the {{KEY|I}} then {{KEY|P}} keyboard shortcut.
#* Using the {{MenuCommand|Arch → Utilities → [[Image:Arch_IfcSpreadsheet.svg|16px]] Create IFC spreadsheet}} entry from the top menu.


== Scripting ==
== Scripting ==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:

This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
spreadsheet = makeIfcSpreadsheet(archobj=None)
spreadsheet = makeIfcSpreadsheet(archobj=None)
Line 40: Line 49:
spreadsheet = Arch.makeIfcSpreadsheet(Wall)
spreadsheet = Arch.makeIfcSpreadsheet(Wall)
}}
}}
{{docnav|[[Arch_3Views|3 Views from mesh]]|[[Arch_ToggleSubs|Toggle Subcomponents]]|[[Arch_Module|Arch]]|IconL=Arch_3Views.svg |IconC=Workbench_Arch.svg |IconR=Arch_ToggleSubs.svg}}


{{Arch Tools navi}}


<div class="mw-translate-fuzzy">
{{Userdocnavi}}
{{docnav/ru|[[Arch_3Views|3 Views from mesh]]|[[Arch_ToggleSubs|Toggle Subcomponents]]|[[Arch_Workbench|Arch]]|IconL=Arch_3Views.svg |IconC=Workbench_Arch.svg |IconR=Arch_ToggleSubs.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 18:12, 10 March 2022

Arch IfcSpreadsheet

Системное название
Arch IfcSpreadsheet
Расположение в меню
Arch → Utilities → Создать IFC таблицу
Верстаки
Arch
Быстрые клавиши
I P
Представлено в версии
-
См. также
Arch IFC, Arch IfcExplorer

Описание

This tool creates a spreadsheet to store IFC properties of an object.

Использование

  1. Select an object.
  2. Invoke the command using several methods:
    • Pressing the Create IFC spreadsheet button on the toolbar.
    • Using the I then P keyboard shortcut.
    • Using the Arch → Utilities → Create IFC spreadsheet entry from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

spreadsheet = makeIfcSpreadsheet(archobj=None)
  • Creates a spreadsheet object. Optionally an archobj can be given.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

spreadsheet = Arch.makeIfcSpreadsheet(Wall)